function SelectAll(){
	for(var i=0;i<document.form1.elements.length;i++){
		var e = document.all.form1.elements[i];
		if(e.name == "del[]"){
			e.checked = true;
			}
		}
}

function SelectAllSnatch(){
	for(var i=0;i<document.form1.elements.length;i++){
		var e = document.all.form1.elements[i];
		if(e.name == "snatch[]"){
			e.checked = true;
			}
		}
}

function OutPutAll(){
	for(var i=0;i<document.form1.elements.length;i++){
		var e = document.all.form1.elements[i];
		if(e.name == "output[]"){
			e.checked = true;
			}
		}
}

function doCheck(){

        if(document.myform.caption.value==''){
                 alert('标题名称不能为空。');
                 document.myform.caption.focus();
                 return false;
        }

       if(document.myform.cid.value==0) {
                alert("当前栏目不允许添加信息！");
                document.myform.cid.focus();
                return false;
       }

       if((document.myform.url.value=='')&&(document.myform.pageurl.value=='')) {
                alert("网址信息必须添加其一！");
                document.myform.url.focus();
                return false;
       }

       if(document.myform.liststartflag.value=='') {
                alert("列表页的开始标记没有填写！");
                document.myform.liststartflag.focus();
                return false;
       }

       if(document.myform.listendflag.value=='') {
                alert("列表页的结束标记没有填写！");
                document.myform.listendflag.focus();
                return false;
       }

       if(document.myform.contentstartflag.value=='') {
                alert("内容页的开始标记没有填写！");
                document.myform.contentstartflag.focus();
                return false;
       }

       if(document.myform.contentendflag.value=='') {
                alert("内容页的开始标记没有填写！");
                document.myform.contentendflag.focus();
                return false;
       }

       if(document.myform.remark.value=='') {
                alert("当前信息的备注没有填写！");
                document.myform.remark.focus();
                return false;
       }

      return true;

}
